=== debian/changelog ===
glaze (4.4.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1098764)

 -- Carl Keinath <carl.keinath@gmail.com>  Tue, 25 Feb 2025 12:04:13 +0100
