=== debian/control ===
Source: glaze
Section: libs
Priority: optional
Maintainer: Carl Keinath <carl.keinath@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake
Standards-Version: 4.7.0
Homepage: https://github.com/stephenberry/glaze/tree/main
Vcs-Browser: https://salsa.debian.org/carlo711/glaze
Vcs-Git: https://salsa.debian.org/carlo711/glaze.git
Description: High-performance C++ JSON serialization library
 Glaze is a high-performance C++ library for JSON and other structured formats,
 it provides efficient serialization and deserialization.

Package: libglaze-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: ${source:Synopsis} - development files
 ${source:Extended-Description}
 .
 Note: This package only supports little-endian systems.
