=== debian/changelog ===
glaze (5.5.2-1) experimental; urgency=medium

  * New upstream release 5.5.2.
  * Added lrc.config to suppress false license error.

 -- Carl Keinath <carl.keinath@gmail.com>  Sun, 22 Jun 2025 11:23:41 +0200

glaze (5.4.0-1) experimental; urgency=medium

  * New upstream release 5.4.0.
  * Moved repo to debian namespace.

 -- Carl Keinath <carl.keinath@gmail.com>  Fri, 06 Jun 2025 19:44:30 +0200

glaze (5.1.0-1) experimental; urgency=medium

  * New upstream release 5.1.0.
  * Bump Standards-Version to 4.7.2.

 -- Carl Keinath <carl.keinath@gmail.com>  Mon, 21 Apr 2025 09:44:03 +0200
