=== tests/networking_tests/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
 add_subdirectory(http_client_test)
 add_subdirectory(http_server_api_tests)
 add_subdirectory(https_test)
+add_subdirectory(openapi_test)
 add_subdirectory(repe_test)
 add_subdirectory(rest_test)
 add_subdirectory(websocket_test)
