=== debian/changelog ===
glaze (5.5.4-1) unstable; urgency=medium

  * New upstream release 5.5.4.

 -- Carl Keinath <carl.keinath@gmail.com>  Mon, 28 Jul 2025 10:42:15 +0200
