=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	-Dglaze_DEVELOPER_MODE=OFF \
	-DBUILD_TESTING=OFF
