## glaze 5.5.5

=== debian/changelog ===
glaze (5.5.5-1) unstable; urgency=medium

  * New upstream release 5.5.5.

 -- Carl Keinath <carl.keinath@gmail.com>  Wed, 06 Aug 2025 17:43:12 +0200
