## glaze 5.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project(
     glaze
-    VERSION 5.5.4
+    VERSION 5.6.0
     LANGUAGES CXX
 )
 
@@ -92,3 +92,9 @@
   )
   target_compile_definitions(glaze_glaze INTERFACE GLZ_ENABLE_SSL)
 endif(glaze_ENABLE_SSL)
+
+option(glaze_BUILD_INTEROP "Build language interoperability library" OFF)
+
+if(glaze_BUILD_INTEROP)
+  add_subdirectory(src/interop)
+endif()
