=== debian/changelog ===
glaze (5.6.0-1) unstable; urgency=medium

  * New upstream release 5.6.0.
  * Moved repo to personal namespace.

 -- Carl Keinath <carl.keinath@gmail.com>  Wed, 20 Aug 2025 20:36:44 +0200
