## glaze 5.6.1

=== debian/changelog ===
glaze (5.6.1-1) unstable; urgency=medium

  * New upstream release 5.6.1.
  * Migrated to debian/watch version 5.

 -- Carl Keinath <carl.keinath@gmail.com>  Sat, 30 Aug 2025 08:48:14 +0200
