## glaze 5.7.0

=== debian/changelog ===
glaze (5.7.0-1) unstable; urgency=medium

  * New upstream release 5.7.0.

 -- Carl Keinath <carl.keinath@gmail.com>  Sat, 06 Sep 2025 11:03:24 +0200
