## glaze 5.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project(
     glaze
-    VERSION 5.6.0
+    VERSION 5.7.2
     LANGUAGES CXX
 )
