=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 add_library(glz_test_common INTERFACE)
 target_compile_features(glz_test_common INTERFACE cxx_std_23)
-target_link_libraries(glz_test_common INTERFACE ut::ut glaze::glaze)
+target_link_libraries(glz_test_common INTERFACE ut::ut glaze::glaze glz_asio)
 if(CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")
     target_compile_options(glz_test_common INTERFACE -fno-exceptions -fno-rtti)
     if(CMAKE_CXX_COMPILER_ID MATCHES "GNU")
@@ -35,7 +35,7 @@
         target_compile_options(glz_test_common INTERFACE -Wall -Wextra -pedantic)
     endif()
 
-    if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+        if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
       target_compile_options(glz_test_common INTERFACE -ftime-trace -fsanitize=address -fsanitize-address-use-after-scope -fsanitize=undefined)
       target_link_options(glz_test_common INTERFACE -ftime-trace -fsanitize=address -fsanitize-address-use-after-scope -fsanitize=undefined)
     endif()
@@ -46,7 +46,7 @@
 
 add_library(glz_test_exceptions INTERFACE)
 target_compile_features(glz_test_exceptions INTERFACE cxx_std_23)
-target_link_libraries(glz_test_exceptions INTERFACE ut::ut glaze::glaze)
+target_link_libraries(glz_test_exceptions INTERFACE ut::ut glaze::glaze glz_asio)
 if(CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")
     target_compile_options(glz_test_exceptions INTERFACE)
     target_compile_options(glz_test_exceptions INTERFACE -Wall -Wextra -pedantic)
@@ -67,6 +67,7 @@
 add_subdirectory(int_parsing)
 add_subdirectory(jmespath)
 add_subdirectory(jsonrpc_test)
+add_subdirectory(key_transformers_test)
 add_subdirectory(lib_test)
 add_subdirectory(mock_json_test)
 add_subdirectory(reflection)
@@ -87,6 +88,10 @@
 if(glaze_EETF_FORMAT)
     add_subdirectory(eetf_test)
 endif(glaze_EETF_FORMAT)
+
+if(glaze_BUILD_INTEROP)
+    add_subdirectory(interop)
+endif(glaze_BUILD_INTEROP)
 
 # We don't run find_package_test or glaze-install_test with MSVC/Windows, because the Github action runner often chokes
 # Don't run find_package on Clang, because Linux runs with Clang try to use GCC standard library and have errors before Clang 18
