=== tests/networking_tests/asio_repe/CMakeLists.txt ===
project(asio_repe)

add_executable(${PROJECT_NAME} ${PROJECT_NAME}.cpp)

target_link_libraries(${PROJECT_NAME} PRIVATE glz_test_exceptions)
