=== debian/changelog ===
glaze (5.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Carl Keinath <carl.keinath@gmail.com>  Sun, 28 Sep 2025 08:47:39 +0200
