=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  cmake
 Standards-Version: 4.7.2
 Homepage: https://github.com/stephenberry/glaze/tree/main
-Vcs-Browser: https://salsa.debian.org/debian/glaze
-Vcs-Git: https://salsa.debian.org/debian/glaze.git
+Vcs-Browser: https://salsa.debian.org/carlo711/glaze
+Vcs-Git: https://salsa.debian.org/carlo711/glaze.git
 Description: High-performance C++ JSON serialization library
  Glaze is a high-performance C++ library for JSON and other structured formats,
  it provides efficient serialization and deserialization.
