## glaze 6.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project(
     glaze
-    VERSION 5.7.2
+    VERSION 6.0.0
     LANGUAGES CXX
 )
 
@@ -93,8 +93,3 @@
   target_compile_definitions(glaze_glaze INTERFACE GLZ_ENABLE_SSL)
 endif(glaze_ENABLE_SSL)
 
-option(glaze_BUILD_INTEROP "Build language interoperability library" OFF)
-
-if(glaze_BUILD_INTEROP)
-  add_subdirectory(src/interop)
-endif()
