=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -89,10 +89,6 @@
     add_subdirectory(eetf_test)
 endif(glaze_EETF_FORMAT)
 
-if(glaze_BUILD_INTEROP)
-    add_subdirectory(interop)
-endif(glaze_BUILD_INTEROP)
-
 # We don't run find_package_test or glaze-install_test with MSVC/Windows, because the Github action runner often chokes
 # Don't run find_package on Clang, because Linux runs with Clang try to use GCC standard library and have errors before Clang 18
 if(CMAKE_CXX_COMPILER_ID MATCHES "GNU")
@@ -131,4 +127,3 @@
     set_tests_properties(glaze-install_test PROPERTIES FIXTURES_SETUP glaze-install-fixture)
     set_tests_properties(find_package_test PROPERTIES FIXTURES_REQUIRED glaze-install-fixture)
 endif()
-
