=== tests/cli_menu_test/CMakeLists.txt ===
project(cli_menu_test)

add_executable(${PROJECT_NAME} ${PROJECT_NAME}.cpp)

target_link_libraries(${PROJECT_NAME} PRIVATE glz_test_common)
