=== tests/json_test/CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 add_test(NAME ${PROJECT_NAME}_non_null COMMAND ${PROJECT_NAME}_non_null)
 
-## glz::json_t test
+## glz::generic test
 
 add_executable(json_t_test json_t_test.cpp)
