=== debian/changelog ===
glaze (6.0.0-1) unstable; urgency=medium

  * New upstream release
  * distribute upstreams documentation via libglaze-doc
  * d/control:
    + depend on mkdocs
    + new binary libglaze-doc

 -- Carl Keinath <carl.keinath@gmail.com>  Tue, 14 Oct 2025 20:21:21 +0200
