=== debian/control ===
--- 
+++ 
@@ -4,7 +4,10 @@
 Maintainer: Carl Keinath <carl.keinath@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
- cmake
+ cmake,
+ mkdocs <!nodoc>,
+ mkdocs-material <!nodoc>,
+ mkdocs-autorefs <!nodoc>,
 Standards-Version: 4.7.2
 Homepage: https://github.com/stephenberry/glaze/tree/main
 Vcs-Browser: https://salsa.debian.org/carlo711/glaze
@@ -19,7 +22,21 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
+Suggests: libglaze-doc
 Description: ${source:Synopsis} - development files
  ${source:Extended-Description}
  .
  Note: This package only supports little-endian systems.
+
+Package: libglaze-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Build-Profiles: <!nodoc>
+Depends:
+ ${misc:Depends},
+ ${mkdocs:Depends},
+Description: ${source:Synopsis} (documentation)
+ ${source:Extended-Description}
+ .
+ This package installs the common documentation package.
