=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,10 @@
 	dh_auto_configure -- \
 	-Dglaze_DEVELOPER_MODE=OFF \
 	-DBUILD_TESTING=OFF
+
+execute_after_dh_auto_build:
+ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
+	mkdocs build -d docs.debian/html
+	find docs.debian -type f -exec sed -i 's|<link [^>]*href="http[^>]*>||g' '{}' ';'
+	find docs.debian -type f -exec sed -i -E 's|<img[^>]+src="https?://[^"]+"[^>]*/>||g' '{}' ';'
+endif
