## glaze 6.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project(
     glaze
-    VERSION 6.0.0
+    VERSION 6.1.0
     LANGUAGES CXX
 )
