=== debian/changelog ===
glaze (6.1.0-1) unstable; urgency=medium

  * New upstream release
  * d/tests: add initial autopkgtest to verify basic functionality

 -- Carl Keinath <carl.keinath@gmail.com>  Sat, 29 Nov 2025 12:31:15 +0100
