=== debian/tests/control ===
Tests: basic-test
Depends: @, cmake, g++
Architecture: !s390x
Restrictions: superficial
